Subject: "Submitter" links produce invalid search query for multi-word names

From: "Timo Wilken" <[email-masked]>
Date: Sat, 29 Mar 2025 11:16:18 +0100

Hi,

If you look at the list of my issues in Guix:

https://issues.guix.gnu.org/search?query=submitter%3A%22Timo+Wilken%22&is=open&package=guix

...and click my name underneath any of them (e.g., where it says "#77320
opened 39 hours ago by **Timo Wilken**, last updated 39 hours ago"), then Mumi
links to:

https://issues.guix.gnu.org/search?query=submitter%3ATimo%20Wilken&package=guix

...which searches for 'submitter:Timo' and 'Wilken' separately. The search
query should instead be 'submitter:"Timo Wilken"' (i.e. like in the first URL
in this message).

Cheers,
Timo